/**
 Un inginer a lucrat la un proiect care a durat cel mult trei luni.
Mai mult decât atât, luna în care a început să lucreze este cel mult
octombrie, iar luna în care a terminat de lucrat este cel mult cu 2 mai mult
decât luna în care a început.
  Se garantează că anul este NEbisect.
  Să se calculeze numărul total de zile în care a lucrat la proiect. Sunt
incluse și datele de început și de sfârșit.

Se citesc:
z1 l1 - ziua și luna în care a început
z2 l2 - ziua și una în care a terminat.

Se afișează: numărul de zile
Exemplu:
dacă se citesc 10 4 12 4 răspuns: 3
dacă se citesc 10 4 12 5 răspuns: 33
  (explicație: în aprilie au rămas 21 de zile + 12 din mai)
dacă se citesc 10 4 12 6 răspuns: 64
  (explicație: în aprilie au rămas 21 de zile + 31 din mai + 12 din iunie)

Rezolvare:
1) cazul simplu: dacă luna este aceeași, scădem zilele și adunăm 1.

2) cazul mediu+cazul greu: dacă lunile sunt diferite, ne calculăm câte zile
are luna l1 și câte zile are luna următoare (just in case)
  pe baza acestora determinăm rezultatul
*/
#include <iostream>
using namespace std;

int main()
{
    int z1,l1,z2,l2,nl1,nlnext,rez;
    cin>>z1>>l1>>z2>>l2;
    if(l1==l2)cout<<z2-z1+1;
    else
    {
        ///calculăm în variabila nl1 numărul de zile din luna l1
        if(l1==2)nl1=28;
        else if(l1==4||l1==6||l1==9||l1==11)nl1=30;
        else nl1=31;
        ///calculăn în variabila nlnext numărul de zile din luna următoare
        ///gen l1+1
        if(l1+1==2)nlnext=28;
        else if(l1+1==4||l1+1==6||l1+1==9||l1+1==11)nlnext=30;
        else nlnext=31;
        ///tratăm cazul mediu: l2 este fix următoarea după l1:
        if(l2==l1+1)rez=nl1-z1+1+z2;
        else rez=nl1-z1+1+nlnext+z2;
        cout<<rez;
    }
    return 0;
}
