/**
Se citește un număr natural cu exact 5 cifre.
Să se calculeze media aritmetică cifrelor sale care sunt pătrate perfecte.
  Dacă numărul n-are cifre pătrate perfecte, se scrie mesajul
"nu exista"

  Ca să verificăm faptul că e pătrat perfect putem:
A) cazul general: să folosit expresia if(sqrt(cif)==(int)sqrt(cif))
B) bazându-ne pe cazul particular al acestei probleme, și anume că sunt
   CIFRE:
       if(cif==0||cif==1||cif==4||cif==9)
O să verificăm 3 cifre cu prima și 2 cu a doua (pt. a avea varietate)

  Pentru a calcula media avem nevoie să știm:
   - care este suma cifrelor cu pricina
   - care este numărul lor
*/
#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    int n,a,b,c,d,e,sumcifpp=0,numcifpp=0;
    double ma;
    cin>>n;
    a=n/10000;
    b=n/1000%10;
    c=n/100%10;
    d=n/10%10;
    e=n%10;
    if(sqrt(a)==(int)sqrt(a)) {sumcifpp=sumcifpp+a;numcifpp++;}
    if(sqrt(b)==(int)sqrt(b)) {sumcifpp=sumcifpp+b;numcifpp++;}
    if(sqrt(c)==(int)sqrt(c)) {sumcifpp=sumcifpp+c;numcifpp++;}
    if(d==0||d==1||d==4||d==9) {sumcifpp=sumcifpp+d;numcifpp++;}
    if(e==0||e==1||e==4||e==9) {sumcifpp=sumcifpp+e;numcifpp++;}
    ///calculăm media, însă ne luăm măsurile de siguranță ca aceasta să
    ///se poată calcula:
    if(numcifpp==0)cout<<"nu exista";
    else
    {
        ma=(double)sumcifpp/numcifpp;
        cout<<ma;
    }
    return 0;
}
